/**
 * Custom javascript for the entire website.
 * Add to this file for javascript that will be ran globally.
 */


$(document).ready(() => {
    // Enable all tooltips on the page
    const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]')
    const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl))
});


/**
 * Returns boolean if the string is empty or only contains whitespace.
 * 
 * @param {string} string - The string to check against.
 * @returns {boolean} - The result as boolean
 */
function isEmptyOrSpaces(string) {
    return string === null || string.match(/^ *$/) !== null;
}
